program dinamicki_nizovi

! do sada smo radili sa statickim nizovima
! kod njih je potrebno znati broj clanova pre izvrsenja programa
! kod dinamickih nizova dimenzija se odredjuje u programu
implicit none
real,allocatable:: x(:), y(:), rastojanje(:)
!allocatable 1D(:), 2D(:,:), 3D(:,:,:)
integer lokacija(1), i, n, xlazi		  !lokacija mora biti niz jer upisujemo minloc i maxloc
!real xlazi

open(10, file='ulaz.dat')

do
	read(10,*,err=20)xlazi !xlazi - lazna velicina	
	!err=20 ukazije da je dosao do kraja podataka u fajlu 
	!i da odatle ide na naredbu 20
	i=i+1
end do

20 n=i
print*, 'ukupno tacaka ', n

allocate(x(n),y(n),rastojanje(n))	  ! deklarisemo broj elemenata u nizovima
rewind 10		! rewind se odnosi na podatke u fajlu

do i=1,n
	read(10,*) x(i), y(i)
end do

rastojanje=sqrt(x**2+y**2)

lokacija=minloc(x)
print*, 'najlevlja tacka ', x(lokacija), y(lokacija)

lokacija=maxloc(x)
print*, 'najdesnja tacka ', x(lokacija), y(lokacija)

lokacija=minloc(y)
print*, 'najniza tacka ', x(lokacija), y(lokacija)

lokacija=maxloc(y)
print*, 'najvisa tacka ', x(lokacija), y(lokacija)

lokacija=maxloc(rastojanje)
print*, 'najudaljenija tacka je ', x(lokacija), y(lokacija)
print*, 'Od koordinatnog pocetka je udaljena ', maxval(rastojanje)

end